<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_b2f5a100451164396178c16d2a5c68" . "99" => base64_decode("cHJldl90aXRs" . "ZQ=="), "_4c760fb02a4" . "9c55509ba087" . "b84fbda45" => base64_decode("ZHJh" . "ZnQ="), "_939c6a45ff74323dbef487ed15" . "753a7c" => base64_decode("c3Rhd" . "GU="), "_2e858fb1973337f53ff85c" . "104fcb38f4" => base64_decode("cHVibGlzaG" . "Vk"), "ti" . "tl" . "e" => base64_decode("dGl0bGU" . "="), "_6a90de6af30bf720b6" . "68cfb570e606de" => base64_decode("cHJldl9zdGF0ZQ" . "=="));
use Claromentis\Core\Event\GenericEvent;


class UpdateDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_b2f5a10045116" . "4396178c16d2a5" . "c6899"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["t" . "i" . "t" . "l" . "e"]);
    }
    public function GetPrevState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_6a90de6af" . "30bf720b66" . "8cfb570e60" . "6de"]);
    }
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_939c6a45ff74323dbef487ed1575" . "3a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_939c6a45ff74323dbef487e" . "d15753a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_4c760fb02a49c55509ba08" . "7b84fbda45"];
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_2e858fb1973337f53ff85c104" . "fcb38f4"];
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}